Package edu.wisc.game.parser

## Enum Token.Type

- java.lang.Object
- - java.lang.Enum<Token.Type>
  - - edu.wisc.game.parser.Token.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<Token.Type>`
  Enclosing class:
    Token

      public static enum Token.Type
      extends Enum<Token.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD_OP` |
    `CLOSE` |
    `COLON` |
    `COMMA` |
    `DOT` |
    `DOTDOT` |
    `EQQ` |
    `EQUAL` |
    `ID` |
    `MULT_OP` |
    `NUMBER` |
    `OPEN` |
    `STRING` |
    `UNARY_OP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Token.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Token.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUMBER

          public static final Token.Type NUMBER

    - #### ID

          public static final Token.Type ID

    - #### STRING

          public static final Token.Type STRING

    - #### COMMA

          public static final Token.Type COMMA

    - #### MULT_OP

          public static final Token.Type MULT_OP

    - #### ADD_OP

          public static final Token.Type ADD_OP

    - #### EQQ

          public static final Token.Type EQQ

    - #### UNARY_OP

          public static final Token.Type UNARY_OP

    - #### OPEN

          public static final Token.Type OPEN

    - #### CLOSE

          public static final Token.Type CLOSE

    - #### EQUAL

          public static final Token.Type EQUAL

    - #### COLON

          public static final Token.Type COLON

    - #### DOT

          public static final Token.Type DOT

    - #### DOTDOT

          public static final Token.Type DOTDOT

  - ### Method Detail

    - #### values

          public static Token.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Token.Type c : Token.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Token.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null